$(document).ready(function () {
    $("body").on("click", '.remove', remove);
    $("body").on("click", '.hideParty', HideShow);
    $("body").on("click", '.goback', GoBack);
    $("body").on("blur", '.billamt', autoaddrow);

    function autoaddrow() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }

    function GoBack() {
        $(".tbody").empty();
        $(".partyent").show();
        $(".ShowParty").hide();
    }



//        } else {
//            $.post('chk_prevbill.php', {amt:billno}, function (data) {
//                $(data).appendTo('.tbody');
//                ctr++;
//                $('#items').val(ctr);
////            $(detail).select2();
//                $(focusFld).focus();
//            });
//        }

//    }

    function HideShow() {
        var party = $(".party").val();
        if (party.length <= 0) {
            alert("Party Cannot Be Empty");
        } else {

            $(".partyent").hide();
            $(".ShowParty").show();

            var ctr = $('#items').val();
            if (ctr.length <= 0) {
                ctr = "1";
            }
            var hide_check = "";
            if ($("#del_all").prop("checked")) {
                hide_check = 0;
            } else {
                hide_check = 1;
            }
//        var detail = ".fetchpart_" + ctr;
            var focusFld = ".focusFld_" + ctr;

            $.post('get_prevbill.php', {ctr: ctr, hide: hide_check, party: party}, function (data) {
                $(data).appendTo('.tbody');
                ctr++;
                $('#items').val(ctr);
//            $(detail).select2();
                $(focusFld).focus();
            });
            AddRows();
        }
    }

    $('#addnew').click(function () {
        AddRows();
    });
    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        if (ctr.length <= 0) {
            ctr = "1";
        }
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
//        var detail = ".fetchpart_" + ctr;
        var focusFld = ".focusFld_" + ctr;
        $.post('prevbill_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
//            $(detail).select2();
            $(focusFld).focus();
        });
    }


});